> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Fetch scheduled emails by batchId or messageId

GET https://api.brevo.com/v3/smtp/emailStatus/{identifier}

Fetch scheduled batch of emails by batchId or single scheduled email by messageId (Can retrieve data upto 30 days old)

Reference: https://developers.brevo.com/reference/get-scheduled-email-by-id

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `identifier` (string, required) — The `batchId` of scheduled emails batch (must be a valid UUIDv4) or the `messageId` of scheduled email (enclosed in angle brackets with @ sign, e.g. `<...@domain>`). When using `messageId`, the `limit`, `offset`, `sort`, and `status` query parameters are ignored.

### Query parameters

- `startDate` (date, optional) — Mandatory if `endDate` is used. Starting date (YYYY-MM-DD) from which you want to fetch the list. Cannot be more than 30 days older than the current date.
- `endDate` (date, optional) — Mandatory if `startDate` is used. Ending date (YYYY-MM-DD) till which you want to fetch the list. Maximum time period that can be selected is one month.
- `sort` (enum, optional, default: desc) — Sort the results in the ascending/descending order of record creation. Default order is **descending** if `sort` is not passed. Not valid when identifier is `messageId`.
  - Allowed values: `asc`, `desc`
- `status` (enum, optional) — Filter the records by `status` of the scheduled email batch or message. Not valid when identifier is `messageId`.
  - Allowed values: `processed`, `inProgress`, `queued`
- `limit` (long, optional, default: 100) — Number of documents returned per page. Not valid when identifier is `messageId`.
- `offset` (long, optional, default: 0) — Index of the first document on the page. Not valid when identifier is `messageId`.

## Response

### 200

Scheduled email batches

- `any or any`

## Errors

### 400 Bad Request Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

### 404 Not Found Error

bad request

- `code` (enum, required) — Error code displayed in case of a failure
  - Allowed values: `invalid_parameter`, `missing_parameter`, `out_of_range`, `campaign_processing`, `campaign_sent`, `document_not_found`, `not_enough_credits`, `permission_denied`, `duplicate_parameter`, `duplicate_request`, `method_not_allowed`, `unauthorized`, `account_under_validation`, `not_acceptable`, `bad_request`, `unprocessable_entity`, `Domain does not exist`, `Contact email not found`, `Attribute not found`, `Category id not found`, `Invalid parameters passed`, `Record(s) for identifier not found`, `Returned when query params are invalid`, `Returned when invalid data posted`, `Feed not found`, `Campaign ID not found`, `api-key not found`, `DMARC policy requires domain authentication`, `DNS records not properly configured`, `Invalid OTP code provided`, `OTP code has expired`, `Domain already exists in your account`, `The sum of all IP weights must equal 100`, `Authentication failed`, `Insufficient credits`, `Request already processed`
- `message` (string, required) — Readable message associated to the failure

## Examples

### batchId

**Response**

```json
{
  "batches": [
    {
      "createdAt": "2022-02-26T11:36:43.576000000Z",
      "scheduledAt": "2022-02-28T11:36:43.576000000Z",
      "status": "queued"
    },
    {
      "createdAt": "2022-02-24T11:36:43.576000000Z",
      "scheduledAt": "2022-02-25T11:36:43.576000000Z",
      "status": "processed"
    },
    {
      "createdAt": "2022-02-25T11:36:43.576000000Z",
      "scheduledAt": "2022-02-26T11:36:43.576000000Z",
      "status": "inProgress"
    }
  ],
  "count": 3
}
```

**SDK Code**

```typescript batchId
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.transactionalEmails.getScheduledEmailById({
        identifier: "4320f270-a4e3-4a2e-b591-edfe30a5e627",
        endDate: "2022-03-02",
        limit: 100,
        offset: 0,
        startDate: "2022-02-02",
    });
}
main();

```

```python batchId
from brevo import Brevo
import datetime

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.transactional_emails.get_scheduled_email_by_id(
    identifier="4320f270-a4e3-4a2e-b591-edfe30a5e627",
    end_date=datetime.date.fromisoformat("2022-03-02"),
    limit=100,
    offset=0,
    start_date=datetime.date.fromisoformat("2022-02-02"),
)

```

```php batchId
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\TransactionalEmails\Requests\GetScheduledEmailByIdRequest;
use DateTime;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->transactionalEmails->getScheduledEmailById(
    '4320f270-a4e3-4a2e-b591-edfe30a5e627',
    new GetScheduledEmailByIdRequest([
        'endDate' => new DateTime('2022-03-02'),
        'limit' => 100,
        'offset' => 0,
        'startDate' => new DateTime('2022-02-02'),
    ]),
);

```

```go batchId
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby batchId
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java batchId
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp batchId
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift batchId
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### messageId

**Response**

```json
{
  "createdAt": "2022-02-26T11:36:43.576000000Z",
  "scheduledAt": "2022-02-28T11:36:43.576000000Z",
  "status": "queued"
}
```

**SDK Code**

```typescript messageId
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.transactionalEmails.getScheduledEmailById({
        identifier: "4320f270-a4e3-4a2e-b591-edfe30a5e627",
        endDate: "2022-03-02",
        limit: 100,
        offset: 0,
        startDate: "2022-02-02",
    });
}
main();

```

```python messageId
from brevo import Brevo
import datetime

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.transactional_emails.get_scheduled_email_by_id(
    identifier="4320f270-a4e3-4a2e-b591-edfe30a5e627",
    end_date=datetime.date.fromisoformat("2022-03-02"),
    limit=100,
    offset=0,
    start_date=datetime.date.fromisoformat("2022-02-02"),
)

```

```php messageId
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\TransactionalEmails\Requests\GetScheduledEmailByIdRequest;
use DateTime;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->transactionalEmails->getScheduledEmailById(
    '4320f270-a4e3-4a2e-b591-edfe30a5e627',
    new GetScheduledEmailByIdRequest([
        'endDate' => new DateTime('2022-03-02'),
        'limit' => 100,
        'offset' => 0,
        'startDate' => new DateTime('2022-02-02'),
    ]),
);

```

```go messageId
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby messageId
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java messageId
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02")
  .header("api-key", "<apiKey>")
  .asString();
```

```csharp messageId
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02");
var request = new RestRequest(Method.GET);
request.AddHeader("api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift messageId
import Foundation

let headers = ["api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/smtp/emailStatus/4320f270-a4e3-4a2e-b591-edfe30a5e627?endDate=2022-03-02&limit=100&offset=0&startDate=2022-02-02")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```